<?php

namespace App\Modals;
use Illuminate\Database\Eloquent\Model;
// use Illuminate\Database\Eloquent\SoftDeletes;
use App\User;

class Student extends Model
{

  public function user(){
        return $this->hasOne(User::class, 'student_id','id');
    }

    public function parent(){
          return $this->hasOne(Parenting::class, 'student_id','id');
      }

      public function registration(){
            return $this->hasOne(Registration::class, 'student_id','id');
        }

}
